%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate gix-pack

Name:           rust-gix-pack
Version:        0.49.0
Release:    1%{?dist}
Summary:        Implements git packs and related data structures

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gix-pack
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Implements git packs and related data structures.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-devel %{_description}

This package contains library source intended for building other packages which
use the "generate" feature of the "%{crate}" crate.

%files       -n %{name}+generate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+object-cache-dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+object-cache-dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "object-cache-dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+object-cache-dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pack-cache-lru-dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pack-cache-lru-dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "pack-cache-lru-dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+pack-cache-lru-dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pack-cache-lru-static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pack-cache-lru-static-devel %{_description}

This package contains library source intended for building other packages which
use the "pack-cache-lru-static" feature of the "%{crate}" crate.

%files       -n %{name}+pack-cache-lru-static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+streaming-input-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+streaming-input-devel %{_description}

This package contains library source intended for building other packages which
use the "streaming-input" feature of the "%{crate}" crate.

%files       -n %{name}+streaming-input-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.49.0-1
- initial build
